Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.activities
Interface IIdentifier

All Superinterfaces:
  Comparable

public interface IIdentifier
extends Comparable

An instance of this interface can be obtained from an instance of `IActivityManager`for any identifier.

An `IIdentifier` is an object that offers an easy means to determine if a given string matches the pattern bindings of any IActivity objects. Additionaly, one may query if an identifier is enabled. An identifier is always considered enabled unless it matches only disabled activities.

The handle-based nature of this API allows it to work well with runtime plugin activation and deactivation, which can cause dynamic changes to the extension registry.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `IActivityManager.getIdentifier(String)`

Method Summary
`void` | `addIdentifierListener(IIdentifierListener identifierListener)` Registers an instance of `IIdentifierListener` to listen for changes to properties of this instance.
`Set` | `getActivityIds()` Returns the set of activity ids that this instance matches.
`String` | `getId()` Returns the identifier of this instance.
`boolean` | `isEnabled()` Returns whether or not this instance is enabled.
`void` | `removeIdentifierListener(IIdentifierListener identifierListener)` Removes an instance of `IIdentifierListener` listening for changes to properties of this instance.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### addIdentifierListener

    public void addIdentifierListener(IIdentifierListener identifierListener)

  Registers an instance of `IIdentifierListener` to listen for changes to properties of this instance.

  Parameters:
    `identifierListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.

### getActivityIds

    public Set getActivityIds()

  Returns the set of activity ids that this instance matches. Each activity in this set will have at least one pattern binding that matches the string returned by `getId()`.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the set of activity ids that this instance matches. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

### getId

    public String getId()

  Returns the identifier of this instance.

  Returns:
    the identifier of this instance. Guaranteed not to be `null`.

### isEnabled

    public boolean isEnabled()

  Returns whether or not this instance is enabled. An identifier is always considered enabled unless it matches only disabled activities.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    `true`, iff this instance is enabled.

### removeIdentifierListener

    public void removeIdentifierListener(IIdentifierListener identifierListener)

  Removes an instance of `IIdentifierListener` listening for changes to properties of this instance.

  Parameters:
    `identifierListener` - the instance to remove. Must not be `null`. If an attempt is made to remove an instance which is not already registered with this instance, no operation is performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.